Get entry revisions
Returns revisions of the specified DataLens entry.
Request
POST
https://api.datalens.tech/rpc/getRevisions
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryId": "example",
"pageSize": 1000,
"pageToken": "example",
"revIds": [
"example"
]
}
|
Name |
Description |
|
entryId |
Type: string Unique identifier of the DataLens entry. Example: |
|
pageSize |
Type: integer Number of revisions per page. Default: Min value: Max value: |
|
pageToken |
Type: string Token for retrieving the next page of revisions. Example: |
|
revIds |
Type: string[] IDs of revisions to return. Min items: Max items: Example
|
Responses
200 OK
Response
Body
application/json
{
"entries": [
{
"revId": "example",
"updatedAt": "example",
"updatedBy": "example",
"isSaved": true,
"isPublished": true
}
],
"nextPageToken": "example"
}
|
Name |
Description |
||||||||||
|
entries |
Type: object[]
Example
|
||||||||||
|
nextPageToken |
Type: string Token for retrieving the next page of revisions. Example: |